commit:     39f7155b659b65a406fc405fffbd417a66a1d3f5
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Thu Mar 25 17:02:05 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Thu Mar 25 17:02:05 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=39f7155b

gui-wm/hikari: add MAKEOPTS filtering hack for now

We need to hack out --load-average (-l) from MAKEOPTS
for now until we have a better way (e.g. flag-o-matic.eclass)
to filter out options from MAKEOPTS for implementations
which don't support it, like bmake.

Thanks-to: ggabriel
Bug: https://bugs.gentoo.org/778191
Signed-off-by: Sam James <sam <AT> gentoo.org>

 gui-wm/hikari/hikari-2.2.2-r1.ebuild | 5 +++++
 1 file changed, 5 insertions(+)

diff --git a/gui-wm/hikari/hikari-2.2.2-r1.ebuild 
b/gui-wm/hikari/hikari-2.2.2-r1.ebuild
index c576fc0ef13..5db53df9ccd 100644
--- a/gui-wm/hikari/hikari-2.2.2-r1.ebuild
+++ b/gui-wm/hikari/hikari-2.2.2-r1.ebuild
@@ -42,7 +42,12 @@ BDEPEND="
 PATCHES=( "${FILESDIR}"/${PN}-2.2.1-pkgconfig.patch )
 
 pkg_setup() {
+       # We set `bmake` and we also have to remove any reference to -l in 
MAKEOPTS
+       # as `bmake` does not support load average
+       # We do this in a crude way until flag-o-matic supports MAKEOPTS
+       # bug 778191
        export MAKE=bmake
+       export MAKEOPTS=$(echo ${MAKEOPTS} | sed 's/-l \?[\.0-9]\+//' || die)
        tc-export CC PKG_CONFIG
 }
 

Reply via email to